Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664750 - net-dialup/ppp-2.4.7-r6 with sys-libs/glibc-2.28 - pppcrypt.c: undefined reference to `setkey'
Summary: net-dialup/ppp-2.4.7-r6 with sys-libs/glibc-2.28 - pppcrypt.c: undefined refe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: PATCH
: 675288 681776 (view as bug list)
Depends on:
Blocks: glibc-2.28
  Show dependency tree
 
Reported: 2018-08-28 13:33 UTC by Marek Bartosiewicz
Modified: 2019-03-26 08:05 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,29.91 KB, text/plain)
2018-08-30 09:49 UTC, Marek Bartosiewicz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Bartosiewicz 2018-08-28 13:33:31 UTC
net-dialup/ppp-2.4.7-r6 fails to compile, I suspect that crypt() was removed (hint found here https://bugzilla.redhat.com/show_bug.cgi?id=1566464)

x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o chap-md5.o chap-md5.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o session.o session.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o mplscp.o mplscp.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o md4.o md4.c
mplscp.c:42:3: warning: initialization of ‘int (*)(fsm *, u_char *, int,  int)’ {aka ‘int (*)(struct fsm *, unsigned char *, int,  int)’} from incompatible pointer type ‘int (*)(fsm *, u_char *, int)’ {aka ‘int (*)(struct fsm *, unsigned char *, int)’} [-Wincompatible-pointer-types]
   mplscp_nakci,   /* NAK our Configuration Information */
   ^~~~~~~~~~~~
mplscp.c:42:3: note: (near initialization for ‘mplscp_callbacks.nakci’)
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o chap_ms.o chap_ms.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o sha1.o sha1.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o pppcrypt.o pppcrypt.c
pppcrypt.c: In function ‘DesSetkey’:
pppcrypt.c:122:2: warning: implicit declaration of function ‘setkey’; did you mean ‘DesSetkey’? [-Wimplicit-function-declaration]
  setkey((const char *)crypt_key);
  ^~~~~~
  DesSetkey
pppcrypt.c: In function ‘DesEncrypt’:
pppcrypt.c:137:2: warning: implicit declaration of function ‘encrypt’; did you mean ‘crypt’? [-Wimplicit-function-declaration]
  encrypt((char *)des_input, 0);
  ^~~~~~~
  crypt
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o multilink.o multilink.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o tdb.o tdb.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o spinlock.o spinlock.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o ipv6cp.o ipv6cp.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o eui64.o eui64.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS   -c -o cbcp.o cbcp.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -D_GNU_SOURCE -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP -I../include '-DDESTDIR="/usr"' -DCHAPMS=1 -DMPPE=1 -DHAS_SHADOW -DHAVE_CRYPT_H=1 -DHAVE_LOGWTMP=1 -DUSE_CRYPT=1 -DUSE_PAM -DHAVE_MULTILINK -DUSE_TDB=1 -DPLUGIN -DINET6=1 -DCBCP_SUPPORT -DMAXOCTETS -Wl,-O1 -Wl,--as-needed -Wl,-E -o pppd main.o magic.o fsm.o lcp.o ipcp.o upap.o chap-new.o md5.o ccp.o ecp.o auth.o options.o demand.o utils.o sys-linux.o ipxcp.o tty.o eap.o chap-md5.o session.o mplscp.o md4.o chap_ms.o sha1.o pppcrypt.o multilink.o tdb.o spinlock.o ipv6cp.o eui64.o cbcp.o  -lcrypt -lutil -lpam -ldl -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pppcrypt.o: in function `DesSetkey':
pppcrypt.c:(.text+0x114): undefined reference to `setkey'
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pppcrypt.o: in function `DesEncrypt':
pppcrypt.c:(.text+0x1bd): undefined reference to `encrypt'
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pppcrypt.o: in function `DesDecrypt':
pppcrypt.c:(.text+0x2b0): undefined reference to `encrypt'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:217: pppd] Error 1
make[1]: Leaving directory '/var/tmp/portage/net-dialup/ppp-2.4.7-r6/work/ppp-2.4.7/pppd'
make: *** [Makefile:15: all] Error 2
Comment 1 Jonas Stein gentoo-dev 2018-08-29 14:51:54 UTC
Thank you for the report. Please recompile and 
*attach* the logfiles and 
paste the emerge info as described on
https://wiki.gentoo.org/wiki/Attach_the_logs_to_the_bug_ticket
The logs must be part of the ticket, but not on external websites.
Please reopen this ticket (Status:unconfirmed) afterwards.
Comment 2 Marek Bartosiewicz 2018-08-30 09:38:04 UTC
emerge --info ppp:

Portage 2.3.48 (python 3.6.6-final-0, default/linux/amd64/17.0/systemd, gcc-8.2.0, glibc-2.28, 4.18.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.18.5-gentoo-x86_64-Intel-R-_Core-TM-_i5-4200U_CPU_@_1.60GHz-with-gentoo-2.6
KiB Mem:     3935308 total,   1316704 free
KiB Swap:    2069824 total,   2069824 free
Timestamp of repository gentoo: Thu, 30 Aug 2018 09:30:01 +0000
Head commit of repository gentoo: c00f70bc78a198b8589ffa0c30176516cfbbe90f
Head commit of repository SonicFrog: 566355e4a177c13fe63a54319c190a91f8f636e6

Head commit of repository bigdata: 1bd4c00e174fd1dd7b2346970131bb95138c5f3e

Head commit of repository science: 9394180b68098411262ee4e0bdaa1829365b1e0b

Head commit of repository slyfox: 42c09123dd5950df6895d063a7bfe4b905c85899

sh bash 4.4_p23
ld GNU ld (Gentoo 2.31.1 p1) 2.31.1
app-shells/bash:          4.4_p23::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.6::gentoo
dev-util/cmake:           3.12.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1::gentoo
sys-devel/gcc:            8.2.0-r2::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.17::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1

SonicFrog
    location: /usr/local/overlays/sonicfrog
    sync-type: git
    sync-uri: https://github.com/SonicFrog/overlay
    masters: gentoo

bigdata
    location: /usr/local/overlays/bigdata
    sync-type: git
    sync-uri: https://github.com/mbartosi/bigdata-overlay
    masters: gentoo

local-overlay
    location: /usr/local/overlays/portage
    masters: gentoo

science
    location: /usr/local/overlays/science
    sync-type: git
    sync-uri: git://git.gentoo.org/proj/sci.git
    masters: gentoo

slyfox
    location: /usr/local/overlays/slyfox
    sync-type: git
    sync-uri: https://github.com/trofi/slyfox-gentoo
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --ask-enter-invalid"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.prz.rzeszow.pl http://ftp.vectranet.pl/gentoo/"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 apng berkdb bluetooth branding bzip2 cairo cli crypt cryptsetup cups cxx dbus device-mapper distinct-l dri exif experimental fbcon fetch-crates ffmpeg fortran gd gdbm geoclue gif git glamor gmp gpm gtk gtk3 hostonly hwaccel i3wm iconv icu initramfs ipv6 java jpeg libdrm libtirpc lz4 lzma minizip mmx modemmanager modules mp3 multilib ncurses network networkmanager nls nptl nsplugin opengl openmp pam pcre pdf png postproc ppp pulseaudio readline seccomp secure-delete sqlite sse sse2 ssl startup-notification symlink system-harfbuzz system-icu system-jpeg system-libevent system-libvpx system-sqlite systemd tcpd text tiff truetype udev unicode usb vaapi vorbis vulkan wifi x264 x265 xattr xcb xkb zeroconf zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en en-GB pl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

net-dialup/ppp-2.4.7-r6::gentoo was built with the following:
USE="ipv6 pam -activefilter -atm -dhcp -eap-tls -gtk -libressl -radius" ABI_X86="(64)"
Comment 3 Marek Bartosiewicz 2018-08-30 09:49:32 UTC
Created attachment 545500 [details]
build.log
Comment 4 Marek Bartosiewicz 2018-08-30 09:52:26 UTC
Done, thanks.
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2018-09-10 11:56:13 UTC
(In reply to Jeroen Roovers from comment #5)
> http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-
> connectivity/ppp/ppp/ppp-2.4.7-DES-openssl.patch

Needs another small patch:

--- a/pppd/pppcrypt.h
+++ b/pppd/pppcrypt.h
@@ -38,7 +38,7 @@
 #endif

 #ifndef USE_CRYPT
-#include <des.h>
+#include <openssl/des.h>
 #endif

 extern bool    DesSetkey __P((u_char *));


But the whole USE_CRYPT is confusing now. :-/
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-17 08:23:12 UTC
Can somebody give this patch a try and report back success/failure?

https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875
Comment 8 Marek Bartosiewicz 2018-09-25 11:29:49 UTC
Patch works, thanks.
Comment 9 Larry the Git Cow gentoo-dev 2018-09-27 08:11:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf2ad5041c96f9baa0beea944678bd1e0c2f2231

commit cf2ad5041c96f9baa0beea944678bd1e0c2f2231
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-09-27 08:08:06 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-09-27 08:08:06 +0000

    net-dialup/ppp: Revbump to fix compilation with >=sys-libs/glibc-2.28
    
    Closes: https://bugs.gentoo.org/664750
    Package-Manager: Portage-2.3.50, Repoman-2.3.11

 net-dialup/ppp/Manifest            |   1 +
 net-dialup/ppp/ppp-2.4.7-r7.ebuild | 230 +++++++++++++++++++++++++++++++++++++
 2 files changed, 231 insertions(+)
Comment 10 ernsteiswuerfel archtester 2019-01-12 21:58:42 UTC
*** Bug 675288 has been marked as a duplicate of this bug. ***
Comment 11 Jeroen Roovers (RETIRED) gentoo-dev 2019-03-26 07:49:50 UTC
*** Bug 681776 has been marked as a duplicate of this bug. ***